Finish Upload
https://mapi.storyblok.com/v1/spaces/:space_id/assets/:asset_id/finish_uploadValidates an uploaded asset and returns a minimal asset object. See upload and replace assets for further information.
Path parameters
Section titled “Path parameters”:space_idrequired numberNumeric ID of a space
:asset_idstringNumeric id of an asset
Response properties
Section titled “Response properties”assetobjectA minimal asset object.
Show child properties
idnumberThe asset ID
filenamestringThe asset filename
altstringThe asset alt text
copyrightstringCopyright text for the asset (default language)
titlestringTitle of the asset
focusstringThe focus point of the image (Only for image assets)
is_privatebooleanDefines if the asset should be inaccessible to the public
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload" \ -H "Authorization: YOUR_PERSONAL_ACCESS_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/assets/89062407031871/finish_upload', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_PERSONAL_ACCESS_TOKEN');
$client->get('spaces/288868932106293/assets/89062407031871/finish_upload')->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload") .header("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload"
querystring = {}
payload = ""headers = { 'Authorization': "YOUR_PERSONAL_ACCESS_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_PERSONAL_ACCESS_TOKEN')
client.get('spaces/288868932106293/assets/89062407031871/finish_upload')let storyblok = URLSession(storyblok: .mapi(accessToken: .personal("YOUR_PERSONAL_ACCESS_TOKEN")))let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/assets/89062407031871/finish_upload")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = Personal("YOUR_PERSONAL_ACCESS_TOKEN") }}
val response = client.get("spaces/288868932106293/assets/89062407031871/finish_upload")
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community